;InnoSetupVersion=3.0.5

[Setup]
AppName=CCProxy
AppVerName=CCProxy 6.0
AppId=CCProxy
AppPublisher=YoungZSoft, Inc.
AppPublisherURL=http://www.youngzsoft.com
AppSupportURL=http://www.youngzsoft.com
AppUpdatesURL=http://www.youngzsoft.com
DefaultDirName=C:\CCProxy
DefaultGroupName=CCProxy
OutputBaseFilename=setup
Compression=zip
PrivilegesRequired=none
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\CCProxy.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\CDial.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\uuid.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Language\ChineseBig5.chm"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\ChineseBig5.ini"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\ChineseGB.ini"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\English.chm"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\English.ini"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\ChineseGB.chm"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Russian.ini"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Portuguese.ini"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Italiano.ini"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Spanish.ini"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\French.ini"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Swedish.ini"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\German.ini"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Help.htm"; DestDir: "{app}\Language"; Flags: ignoreversion 

[INI]
FileName: "{app}\CCProxy.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.youngzsoft.com"; 

[Run]
Filename: "{app}\CCProxy.exe"; Description: "Launch CCProxy"; Flags: postinstall skipifsilent nowait

[UninstallRun]
Filename: "{app}\CCProxy.exe"; Parameters: "-uninstall"; 

[Icons]
Name: "{group}\CCProxy"; Filename: "{app}\CCProxy.exe"; 
Name: "{group}\CCProxy on the Web"; Filename: "{app}\CCProxy.url"; 
Name: "{group}\Uninstall CCProxy"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\CCProxy"; Filename: "{app}\CCProxy.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\CCProxy"; Filename: "{app}\CCProxy.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 

[UninstallDelete]
Type: files; Name: "{app}\CCProxy.url"; 
